GWT 2.7.0

## com.google.gwt.uibinder.elementparsers
Class AttributeMessageParser

    java.lang.Object
      com.google.gwt.uibinder.elementparsers.AttributeMessageParser

All Implemented Interfaces:
  ElementParser

    public class AttributeMessageParser

extends java.lang.Object
implements ElementParser

This parser is not tied to a particular class of element, but rather is run as the first parser in any parser stack. It looks for attribute values that are set as calls to the template's generated Messages interface, by calling `MessagesWriter.consumeAndStoreMessageAttributesFor`

Constructor Summary
`AttributeMessageParser()`

Method Summary
`void` | `parse(com.google.gwt.uibinder.rebind.XMLElement elem, java.lang.String fieldName, JClassType type, com.google.gwt.uibinder.rebind.UiBinderWriter writer)` Parse the given element, generating the code to initialize it from the element's attributes and children.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeMessageParser

    public AttributeMessageParser()

Method Detail

### parse

    public void parse(com.google.gwt.uibinder.rebind.XMLElement elem,
                      java.lang.String fieldName,
                      JClassType type,
                      com.google.gwt.uibinder.rebind.UiBinderWriter writer)
               throws UnableToCompleteException

  Description copied from interface: `ElementParser`
  Parse the given element, generating the code to initialize it from the element's attributes and children.

  Specified by:
    `parse` in interface `ElementParser`
  Parameters:
    `elem` - the element to be parsed
    `fieldName` - the name of the widget field to be initialized
    `type` - TODO
    `writer` - the writer
  Throws:
    `UnableToCompleteException` - on error

GWT 2.7.0